org.apache.poi.xddf.usermodel

## Class XDDFCustomGeometry2D

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFCustomGeometry2D

-     @Beta
      public class XDDFCustomGeometry2D
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFCustomGeometry2D(org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D geometry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDDFGeometryGuide` | `addAdjustValue()`
    `XDDFConnectionSite` | `addConnectionSite()`
    `XDDFGeometryGuide` | `addGuide()`
    `XDDFPath` | `addNewPath()`
    `XDDFAdjustHandlePolar` | `addPolarAdjustHandle()`
    `XDDFAdjustHandleXY` | `addXYAdjustHandle()`
    `XDDFGeometryGuide` | `getAdjustValue(int index)`
    `java.util.List<XDDFGeometryGuide>` | `getAdjustValues()`
    `XDDFConnectionSite` | `getConnectionSite(int index)`
    `java.util.List<XDDFConnectionSite>` | `getConnectionSites()`
    `XDDFGeometryGuide` | `getGuide(int index)`
    `java.util.List<XDDFGeometryGuide>` | `getGuides()`
    `XDDFPath` | `getPath(int index)`
    `java.util.List<XDDFPath>` | `getPaths()`
    `XDDFAdjustHandlePolar` | `getPolarAdjustHandle(int index)`
    `java.util.List<XDDFAdjustHandlePolar>` | `getPolarAdjustHandles()`
    `XDDFGeometryRectangle` | `getRectangle()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D` | `getXmlObject()`
    `XDDFAdjustHandleXY` | `getXYAdjustHandle(int index)`
    `java.util.List<XDDFAdjustHandleXY>` | `getXYAdjustHandles()`
    `XDDFGeometryGuide` | `insertAdjustValue(int index)`
    `XDDFConnectionSite` | `insertConnectionSite(int index)`
    `XDDFGeometryGuide` | `insertGuide(int index)`
    `XDDFPath` | `insertNewPath(int index)`
    `XDDFAdjustHandlePolar` | `insertPolarAdjustHandle(int index)`
    `XDDFAdjustHandleXY` | `insertXYAdjustHandle(int index)`
    `void` | `removeAdjustValue(int index)`
    `void` | `removeConnectionSite(int index)`
    `void` | `removeGuide(int index)`
    `void` | `removePath(int index)`
    `void` | `removePolarAdjustHandle(int index)`
    `void` | `removeXYAdjustHandle(int index)`
    `void` | `setRectangle(XDDFGeometryRectangle rectangle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFCustomGeometry2D

          protected XDDFCustomGeometry2D(org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D geometry)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          protected org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D getXmlObject()

    - #### getRectangle

          public XDDFGeometryRectangle getRectangle()

    - #### setRectangle

          public void setRectangle(XDDFGeometryRectangle rectangle)

    - #### addPolarAdjustHandle

          public XDDFAdjustHandlePolar addPolarAdjustHandle()

    - #### insertPolarAdjustHandle

          public XDDFAdjustHandlePolar insertPolarAdjustHandle(int index)

    - #### removePolarAdjustHandle

          public void removePolarAdjustHandle(int index)

    - #### getPolarAdjustHandle

          public XDDFAdjustHandlePolar getPolarAdjustHandle(int index)

    - #### getPolarAdjustHandles

          public java.util.List<XDDFAdjustHandlePolar> getPolarAdjustHandles()

    - #### addXYAdjustHandle

          public XDDFAdjustHandleXY addXYAdjustHandle()

    - #### insertXYAdjustHandle

          public XDDFAdjustHandleXY insertXYAdjustHandle(int index)

    - #### removeXYAdjustHandle

          public void removeXYAdjustHandle(int index)

    - #### getXYAdjustHandle

          public XDDFAdjustHandleXY getXYAdjustHandle(int index)

    - #### getXYAdjustHandles

          public java.util.List<XDDFAdjustHandleXY> getXYAdjustHandles()

    - #### addAdjustValue

          public XDDFGeometryGuide addAdjustValue()

    - #### insertAdjustValue

          public XDDFGeometryGuide insertAdjustValue(int index)

    - #### removeAdjustValue

          public void removeAdjustValue(int index)

    - #### getAdjustValue

          public XDDFGeometryGuide getAdjustValue(int index)

    - #### getAdjustValues

          public java.util.List<XDDFGeometryGuide> getAdjustValues()

    - #### addConnectionSite

          public XDDFConnectionSite addConnectionSite()

    - #### insertConnectionSite

          public XDDFConnectionSite insertConnectionSite(int index)

    - #### removeConnectionSite

          public void removeConnectionSite(int index)

    - #### getConnectionSite

          public XDDFConnectionSite getConnectionSite(int index)

    - #### getConnectionSites

          public java.util.List<XDDFConnectionSite> getConnectionSites()

    - #### addGuide

          public XDDFGeometryGuide addGuide()

    - #### insertGuide

          public XDDFGeometryGuide insertGuide(int index)

    - #### removeGuide

          public void removeGuide(int index)

    - #### getGuide

          public XDDFGeometryGuide getGuide(int index)

    - #### getGuides

          public java.util.List<XDDFGeometryGuide> getGuides()

    - #### addNewPath

          public XDDFPath addNewPath()

    - #### insertNewPath

          public XDDFPath insertNewPath(int index)

    - #### removePath

          public void removePath(int index)

    - #### getPath

          public XDDFPath getPath(int index)

    - #### getPaths

          public java.util.List<XDDFPath> getPaths()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.